Subject: bug#4142: [PATCH] 23.1 info.el::Info-goto-node - Wrong type argument:stringp, nil

From: "Drew Adams" <[email-masked]>
Date: Sun, 18 Sep 2011 00:54:51 -0700

> Or we could just say "don't call non-index nodes something containing
> the word 'index'".

No, that's what's fragile and error prone.  We should be able to put some meta
information in index nodes to identify them.  It is not unusual in Info to use
some text or text properties that users do not see as meta info.